Subject: Re: Troubles with programs used as CGI's
From: [email-masked] (Steve Coleman - SEWP)

11 Jun 1997 21:00:49 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: exmh version 1.6.7 5/3/96
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
In-Reply-To: (Your message of Wed, 11 Jun 1997 01:24:45 +0200.)
             <[email-masked]> 
Original-Sender: [email-masked]

Excerpts from what [email-masked] said:

 |
 |Hi Geoffrey, you wrote:

 |Yes, but what about multi-user in different security contexts or
 |running as an NT service or both at once?
 |Hmm, reminds me to try su from the NT resource kit...

I recently ported some code that is essentually an SMTP server that had to run 
as an NT service.  I managed to patch the code enough to allow it to run as a 
service but if anyone on the same box tries to run _anything_ compiled with 
the cygwin libraries it is garenteed to crash and burn.  The app (i.e. 'ls', 
'grep', etc..) gets an access violation, drWatson.log, and exits with the text:

C:\>ls
(unknown) shared_init: CreateFileMappingA
cygwin: terminating

C:\>

I have not had the time to look into why this happens.  I had such big hopes 
for this (cygwin) effort but until I can do multitasking it is useless to me.

8*}

P.S. - If anyone has a clue as to what I am doing wrong could you please make 
me feel foolish?  Please??!!!!

Steve Coleman          -- [email-masked]
vox: 301.286.7636         fax: 301.286.0317

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".